<?php

namespace plugin\ticket\controller;

use plugin\ticket\model\TicketUserShare;
use think\admin\Controller;
use think\admin\helper\QueryHelper;

/**
 * 用户随手拍
 */
class UserShare extends Controller
{
    public function index()
    {
        $this->title = '用户随手拍';
        TicketUserShare::mQuery()->layTable(function () {

        }, function (QueryHelper $query) {
            $query->like(['title|content|contact_name|ticket_address|contact_phone#keyword'])
                ->dateBetween(['create_at', 'last_activity_at'])
                ->equal(['status', 'type_id']);
            $query->with(['user'])->append(['imgs_arr', 'status_text', 'type_name', 'last_reply']);
        });
    }
}